package com.btc.ep.base.bl;

import java.io.File;

/**
 * Implementors of this interface represent Profiles.
 */
public interface Profile extends NamedElement {

    /**
     * Get the file path location for the saved profile.
     * 
     * @return The file in which the profile is saved.
     */
    File getFilePath();

    /**
     * Set the file path location for the profile saving.
     * 
     * @param filepath The file in which the profile is saved.
     */
    void setFilePath(File filepath);
}
